package com.idea.paymentManagement.service;

import cn.hutool.core.util.IdUtil;
import com.idea.paymentManagement.mapper.BillPayLogMapper;
import com.idea.paymentManagement.model.BillPayLog;
import com.idea.paymentManagement.model.BillPayLogExample;
import com.rockstar.common.base.BaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BillPayLogService implements BaseService<BillPayLog, BillPayLogExample> {

    @Autowired
    private BillPayLogMapper modelMapper;


    @Override
    public int deleteByPrimaryKey(String s) {
        return modelMapper.deleteByPrimaryKey(s);
    }

    @Override
    public int insertSelective(BillPayLog billPayLog) {
        billPayLog.setId(IdUtil.simpleUUID());
        return modelMapper.insertSelective(billPayLog);
    }

    public int insertWithoutId(BillPayLog billPayLog) {
        return modelMapper.insertSelective(billPayLog);
    }

    @Override
    public BillPayLog selectByPrimaryKey(String s) {
        return modelMapper.selectByPrimaryKey(s);
    }

    @Override
    public int updateByPrimaryKeySelective(BillPayLog billPayLog) {
        return modelMapper.updateByPrimaryKeySelective(billPayLog);
    }

    @Override
    public int updateByExampleSelective(BillPayLog billPayLog, BillPayLogExample billPayLogExample) {
        return modelMapper.updateByExampleSelective(billPayLog,billPayLogExample);
    }

    @Override
    public int updateByExample(BillPayLog billPayLog, BillPayLogExample billPayLogExample) {
        return 0;
    }

    @Override
    public List<BillPayLog> selectByExample(BillPayLogExample billPayLogExample) {
        return null;
    }

    @Override
    public long countByExample(BillPayLogExample billPayLogExample) {
        return 0;
    }

    @Override
    public int deleteByExample(BillPayLogExample billPayLogExample) {
        return 0;
    }
}
